var	theHTMLEntitiesArray;

function decodeHtmlEntities(theString)
{
	if (!theHTMLEntitiesArray)
	{
		theHTMLEntitiesArray = new Array();
	
		theHTMLEntitiesArray["&quot;"] = "\"";	// quotation mark
		theHTMLEntitiesArray["&#34;"] = "\"";	// quotation mark 
		
		theHTMLEntitiesArray["&apos;"] = "'";	// quotation mark
	
		theHTMLEntitiesArray["&amp;"] = "&";	// ampersand
		theHTMLEntitiesArray["&#38;"] = "&";	// ampersand 
		theHTMLEntitiesArray["&#038;"] = "&";	// ampersand 
		
		theHTMLEntitiesArray["&#39;"] = "'";	// ampersand 
		theHTMLEntitiesArray["&#039;"] = "'";	// ampersand 

		theHTMLEntitiesArray["&lt;"] = "<";		// less-than
		theHTMLEntitiesArray["&#60;"] = "<";	// less-than 
		theHTMLEntitiesArray["&#060;"] = "<";	// less-than 
		
		theHTMLEntitiesArray["&gt;"] = ">";		// greater-than
		theHTMLEntitiesArray["&#62;"] = ">";	// greater-than 
		theHTMLEntitiesArray["&#062;"] = ">";	// greater-than 
		
		theHTMLEntitiesArray["&#92;"] = "\\";	// greater-than 
		theHTMLEntitiesArray["&#092;"] = "\\";	// greater-than 

		theHTMLEntitiesArray["&hellip;"] = "";	// greater-than 
		theHTMLEntitiesArray["&#133;"] = "";	// greater-than 

		theHTMLEntitiesArray["&lsquo;"] = "'";	// greater-than
		theHTMLEntitiesArray["&#145;"] = "'";	// greater-than 
		theHTMLEntitiesArray["&rsquo;"] = "'";	// greater-than
		theHTMLEntitiesArray["&#146;"] = "'";	// greater-than 
		theHTMLEntitiesArray["&ldquo;"] = "\"";	// greater-than
		theHTMLEntitiesArray["&#147;"] = "\"";	// greater-than 
		theHTMLEntitiesArray["&rdquo;"] = "\"";	// greater-than
		theHTMLEntitiesArray["&#148;"] = "\"";	// greater-than 

		theHTMLEntitiesArray["&#151;"] = "-";	// greater-than 
	
		theHTMLEntitiesArray["&nbsp;"] = " ";	// non-breaking space
		theHTMLEntitiesArray["&#160;"] = " ";	// non-breaking space 
		
		theHTMLEntitiesArray["&iexcl;"] = "¡";	// inverted exclamation mark
		theHTMLEntitiesArray["&#161;"] = "¡";	// inverted exclamation mark 
		
		theHTMLEntitiesArray["&curren;"] = "¤"; // currency
		theHTMLEntitiesArray["&#164;"] = "¤"; // currency 
		
		theHTMLEntitiesArray["&cent;"] = "¢"; // cent
		theHTMLEntitiesArray["&#162;"] = "¢"; // cent 
		
		theHTMLEntitiesArray["&pound;"] = "£"; // pound
		theHTMLEntitiesArray["&#163;"] = "£"; // pound 
		
		theHTMLEntitiesArray["&yen;"] = "¥"; // yen
		theHTMLEntitiesArray["&#165;"] = "¥"; // yen 
		
		theHTMLEntitiesArray["&brvbar;"] = "¦"; // broken vertical bar
		theHTMLEntitiesArray["&#166;"] = "¦"; // broken vertical bar 
		
		theHTMLEntitiesArray["&sect;"] = "§"; // section
		theHTMLEntitiesArray["&#167;"] = "§"; // section 
		
		theHTMLEntitiesArray["&uml;"] = "¨"; // spacing diaeresis
		theHTMLEntitiesArray["&#168;"] = "¨"; // spacing diaeresis 
		
		theHTMLEntitiesArray["&copy;"] = "©"; // copyright
		theHTMLEntitiesArray["&#169;"] = "©"; // copyright 
		
		theHTMLEntitiesArray["&ordf;"] = "ª"; // feminine ordinal indicator
		theHTMLEntitiesArray["&#170;"] = "ª"; // feminine ordinal indicator 
		
		theHTMLEntitiesArray["&laquo;"] = "«"; // angle quotation mark (left)
		theHTMLEntitiesArray["&#171;"] = "«"; // angle quotation mark (left) 
		
		theHTMLEntitiesArray["&not;"] = "¬"; // negation
		theHTMLEntitiesArray["&#172;"] = "¬"; // negation 
		
		theHTMLEntitiesArray["&shy;"] = "­"; // soft hyphen
		theHTMLEntitiesArray["&#173;"] = "­"; // soft hyphen 
		
		theHTMLEntitiesArray["&reg;"] = "®"; // registered trademark
		theHTMLEntitiesArray["&#174;"] = "®"; // registered trademark 
		
		theHTMLEntitiesArray["&macr;"] = "¯"; // spacing macron
		theHTMLEntitiesArray["&#175;"] = "¯"; // spacing macron 
		
		theHTMLEntitiesArray["&deg;"] = "°"; // degree
		theHTMLEntitiesArray["&#176;"] = "°"; // degree 
		
		theHTMLEntitiesArray["&plusmn;"] = "±"; // plus-or-minus 
		theHTMLEntitiesArray["&#177;"] = "±"; // plus-or-minus  
		
		theHTMLEntitiesArray["&sup2;"] = "²"; // superscript 2
		theHTMLEntitiesArray["&#178;"] = "²"; // superscript 2 
		
		theHTMLEntitiesArray["&sup3;"] = "³"; // superscript 3
		theHTMLEntitiesArray["&#179;"] = "³"; // superscript 3 
		
		theHTMLEntitiesArray["&acute;"] = "´"; // spacing acute
		theHTMLEntitiesArray["&#180;"] = "´"; // spacing acute 
		
		theHTMLEntitiesArray["&micro;"] = "µ"; // micro
		theHTMLEntitiesArray["&#181;"] = "µ"; // micro 
		
		theHTMLEntitiesArray["&para;"] = "¶"; // paragraph
		theHTMLEntitiesArray["&#182;"] = "¶"; // paragraph 
		
		theHTMLEntitiesArray["&middot;"] = "·"; // middle dot
		theHTMLEntitiesArray["&#183;"] = "·"; // middle dot 
		
		theHTMLEntitiesArray["&cedil;"] = "¸"; // spacing cedilla
		theHTMLEntitiesArray["&#184;"] = "¸"; // spacing cedilla 
		
		theHTMLEntitiesArray["&sup1;"] = "¹"; // superscript 1
		theHTMLEntitiesArray["&#185;"] = "¹"; // superscript 1 
		
		theHTMLEntitiesArray["&ordm;"] = "º"; // masculine ordinal indicator
		theHTMLEntitiesArray["&#186;"] = "º"; // masculine ordinal indicator 
		
		theHTMLEntitiesArray["&raquo;"] = "»"; // angle quotation mark (right)
		theHTMLEntitiesArray["&#187;"] = "»"; // angle quotation mark (right) 
		
		theHTMLEntitiesArray["&frac14;"] = "¼"; // fraction 1/4
		theHTMLEntitiesArray["&#188;"] = "¼"; // fraction 1/4 
		
		theHTMLEntitiesArray["&frac12;"] = "½"; // fraction 1/2
		theHTMLEntitiesArray["&#189;"] = "½"; // fraction 1/2 
		
		theHTMLEntitiesArray["&frac34;"] = "¾"; // fraction 3/4
		theHTMLEntitiesArray["&#190;"] = "¾"; // fraction 3/4 
		
		theHTMLEntitiesArray["&iquest;"] = "¿"; // inverted question mark
		theHTMLEntitiesArray["&#191;"] = "¿"; // inverted question mark 
		
		theHTMLEntitiesArray["&times;"] = "×"; // multiplication
		theHTMLEntitiesArray["&#215;"] = "×"; // multiplication 
		
		theHTMLEntitiesArray["&divide;"] = "÷"; // division
		theHTMLEntitiesArray["&#247;"] = "÷"; // division 
		
		theHTMLEntitiesArray["&Agrave;"] = "À"; // capital a, grave accent
		theHTMLEntitiesArray["&#192;"] = "À"; // capital a, grave accent 
		
		theHTMLEntitiesArray["&Aacute;"] = "Á"; // capital a, acute accent
		theHTMLEntitiesArray["&#193;"] = "Á"; // capital a, acute accent 
		
		theHTMLEntitiesArray["&Acirc;"] = "Â"; // capital a, circumflex accent
		theHTMLEntitiesArray["&#194;"] = "Â"; // capital a, circumflex accent 
		
		theHTMLEntitiesArray["&Atilde;"] = "Ã"; // capital a, tilde
		theHTMLEntitiesArray["&#195;"] = "Ã"; // capital a, tilde 
		
		theHTMLEntitiesArray["&Auml;"] = "Ä"; // capital a, umlaut mark
		theHTMLEntitiesArray["&#196;"] = "Ä"; // capital a, umlaut mark 
		
		theHTMLEntitiesArray["&Aring;"] = "Å"; // capital a, ring
		theHTMLEntitiesArray["&#197;"] = "Å"; // capital a, ring 
		
		theHTMLEntitiesArray["&AElig;"] = "Æ"; // capital ae
		theHTMLEntitiesArray["&#198;"] = "Æ"; // capital ae 
		
		theHTMLEntitiesArray["&Ccedil;"] = "Ç"; // capital c, cedilla
		theHTMLEntitiesArray["&#199;"] = "Ç"; // capital c, cedilla 
		
		theHTMLEntitiesArray["&Egrave;"] = "È"; // capital e, grave accent
		theHTMLEntitiesArray["&#200;"] = "È"; // capital e, grave accent 
		
		theHTMLEntitiesArray["&Eacute;"] = "É"; // capital e, acute accent
		theHTMLEntitiesArray["&#201;"] = "É"; // capital e, acute accent 
		
		theHTMLEntitiesArray["&Ecirc;"] = "Ê"; // capital e, circumflex accent
		theHTMLEntitiesArray["&#202;"] = "Ê"; // capital e, circumflex accent 
		
		theHTMLEntitiesArray["&Euml;"] = "Ë"; // capital e, umlaut mark
		theHTMLEntitiesArray["&#203;"] = "Ë"; // capital e, umlaut mark 
		
		theHTMLEntitiesArray["&Igrave;"] = "Ì"; // capital i, grave accent
		theHTMLEntitiesArray["&#204;"] = "Ì"; // capital i, grave accent 
		
		theHTMLEntitiesArray["&Iacute;"] = "Í"; // capital i, acute accent
		theHTMLEntitiesArray["&#205;"] = "Í"; // capital i, acute accent 
		
		theHTMLEntitiesArray["&Icirc;"] = "Î"; // capital i, circumflex accent
		theHTMLEntitiesArray["&#206;"] = "Î"; // capital i, circumflex accent 
		
		theHTMLEntitiesArray["&Iuml;"] = "Ï"; // capital i, umlaut mark
		theHTMLEntitiesArray["&#207;"] = "Ï"; // capital i, umlaut mark 
		
		theHTMLEntitiesArray["&ETH;"] = "Ð"; // capital eth, Icelandic
		theHTMLEntitiesArray["&#208;"] = "Ð"; // capital eth, Icelandic 
		
		theHTMLEntitiesArray["&Ntilde;"] = "Ñ"; // capital n, tilde
		theHTMLEntitiesArray["&#209;"] = "Ñ"; // capital n, tilde 
		
		theHTMLEntitiesArray["&Ograve;"] = "Ò"; // capital o, grave accent
		theHTMLEntitiesArray["&#210;"] = "Ò"; // capital o, grave accent 
		
		theHTMLEntitiesArray["&Oacute;"] = "Ó"; // capital o, acute accent
		theHTMLEntitiesArray["&#211;"] = "Ó"; // capital o, acute accent 
		
		theHTMLEntitiesArray["&Ocirc;"] = "Ô"; // capital o, circumflex accent
		theHTMLEntitiesArray["&#212;"] = "Ô"; // capital o, circumflex accent 
		
		theHTMLEntitiesArray["&Otilde;"] = "Õ"; // capital o, tilde
		theHTMLEntitiesArray["&#213;"] = "Õ"; // capital o, tilde 
		
		theHTMLEntitiesArray["&Ouml;"] = "Ö"; // capital o, umlaut mark
		theHTMLEntitiesArray["&#214;"] = "Ö"; // capital o, umlaut mark 
		
		theHTMLEntitiesArray["&Oslash;"] = "Ø"; // capital o, slash
		theHTMLEntitiesArray["&#216;"] = "Ø"; // capital o, slash 
		
		theHTMLEntitiesArray["&Ugrave;"] = "Ù"; // capital u, grave accent
		theHTMLEntitiesArray["&#217;"] = "Ù"; // capital u, grave accent 
		
		theHTMLEntitiesArray["&Uacute;"] = "Ú"; // capital u, acute accent
		theHTMLEntitiesArray["&#218;"] = "Ú"; // capital u, acute accent 
		
		theHTMLEntitiesArray["&Ucirc;"] = "Û"; // capital u, circumflex accent
		theHTMLEntitiesArray["&#219;"] = "Û"; // capital u, circumflex accent 
		
		theHTMLEntitiesArray["&Uuml;"] = "Ü"; // capital u, umlaut mark
		theHTMLEntitiesArray["&#220;"] = "Ü"; // capital u, umlaut mark 
		
		theHTMLEntitiesArray["&Yacute;"] = "Ý"; // capital y, acute accent
		theHTMLEntitiesArray["&#221;"] = "Ý"; // capital y, acute accent 
		
		theHTMLEntitiesArray["&THORN;"] = "Þ"; // capital THORN, Icelandic
		theHTMLEntitiesArray["&#222;"] = "Þ"; // capital THORN, Icelandic 
		
		theHTMLEntitiesArray["&szlig;"] = "ß"; // small sharp s, German
		theHTMLEntitiesArray["&#223;"] = "ß"; // small sharp s, German 
		
		theHTMLEntitiesArray["&agrave;"] = "à"; // small a, grave accent
		theHTMLEntitiesArray["&#224;"] = "à"; // small a, grave accent 
		
		theHTMLEntitiesArray["&aacute;"] = "á"; // small a, acute accent
		theHTMLEntitiesArray["&#225;"] = "á"; // small a, acute accent 
		
		theHTMLEntitiesArray["&acirc;"] = "â"; // small a, circumflex accent
		theHTMLEntitiesArray["&#226;"] = "â"; // small a, circumflex accent 
		
		theHTMLEntitiesArray["&atilde;"] = "ã"; // small a, tilde
		theHTMLEntitiesArray["&#227;"] = "ã"; // small a, tilde 
		
		theHTMLEntitiesArray["&auml;"] = "ä"; // small a, umlaut mark
		theHTMLEntitiesArray["&#228;"] = "ä"; // small a, umlaut mark 
		
		theHTMLEntitiesArray["&aring;"] = "å"; // small a, ring
		theHTMLEntitiesArray["&#229;"] = "å"; // small a, ring 
		
		theHTMLEntitiesArray["&aelig;"] = "æ"; // small ae
		theHTMLEntitiesArray["&#230;"] = "æ"; // small ae 
		
		theHTMLEntitiesArray["&ccedil;"] = "ç"; // small c, cedilla
		theHTMLEntitiesArray["&#231;"] = "ç"; // small c, cedilla 
		
		theHTMLEntitiesArray["&egrave;"] = "è"; // small e, grave accent
		theHTMLEntitiesArray["&#232;"] = "è"; // small e, grave accent 
		
		theHTMLEntitiesArray["&eacute;"] = "é"; // small e, acute accent
		theHTMLEntitiesArray["&#233;"] = "é"; // small e, acute accent 
		
		theHTMLEntitiesArray["&ecirc;"] = "ê"; // small e, circumflex accent
		theHTMLEntitiesArray["&#234;"] = "ê"; // small e, circumflex accent 
		
		theHTMLEntitiesArray["&euml;"] = "ë"; // small e, umlaut mark
		theHTMLEntitiesArray["&#235;"] = "ë"; // small e, umlaut mark 
		
		theHTMLEntitiesArray["&igrave;"] = "ì"; // small i, grave accent
		theHTMLEntitiesArray["&#236;"] = "ì"; // small i, grave accent 
		
		theHTMLEntitiesArray["&iacute;"] = "í"; // small i, acute accent
		theHTMLEntitiesArray["&#237;"] = "í"; // small i, acute accent 
		
		theHTMLEntitiesArray["&icirc;"] = "î"; // small i, circumflex accent
		theHTMLEntitiesArray["&#238;"] = "î"; // small i, circumflex accent 
		
		theHTMLEntitiesArray["&iuml;"] = "ï"; // small i, umlaut mark
		theHTMLEntitiesArray["&#239;"] = "ï"; // small i, umlaut mark 
		
		theHTMLEntitiesArray["&eth;"] = "ð"; // small eth, Icelandic
		theHTMLEntitiesArray["&#240;"] = "ð"; // small eth, Icelandic 
		
		theHTMLEntitiesArray["&ntilde;"] = "ñ"; // small n, tilde
		theHTMLEntitiesArray["&#241;"] = "ñ"; // small n, tilde 
		
		theHTMLEntitiesArray["&ograve;"] = "ò"; // small o, grave accent
		theHTMLEntitiesArray["&#242;"] = "ò"; // small o, grave accent 
		
		theHTMLEntitiesArray["&oacute;"] = "ó"; // small o, acute accent
		theHTMLEntitiesArray["&#243;"] = "ó"; // small o, acute accent 
		
		theHTMLEntitiesArray["&ocirc;"] = "ô"; // small o, circumflex accent
		theHTMLEntitiesArray["&#244;"] = "ô"; // small o, circumflex accent 
		
		theHTMLEntitiesArray["&otilde;"] = "õ"; // small o, tilde
		theHTMLEntitiesArray["&#245;"] = "õ"; // small o, tilde 
		
		theHTMLEntitiesArray["&ouml;"] = "ö"; // small o, umlaut mark
		theHTMLEntitiesArray["&#246;"] = "ö"; // small o, umlaut mark 
		
		theHTMLEntitiesArray["&oslash;"] = "ø"; // small o, slash
		theHTMLEntitiesArray["&#248;"] = "ø"; // small o, slash 
		
		theHTMLEntitiesArray["&ugrave;"] = "ù"; // small u, grave accent
		theHTMLEntitiesArray["&#249;"] = "ù"; // small u, grave accent 
		
		theHTMLEntitiesArray["&uacute;"] = "ú"; // small u, acute accent
		theHTMLEntitiesArray["&#250;"] = "ú"; // small u, acute accent 
		
		theHTMLEntitiesArray["&ucirc;"] = "û"; // small u, circumflex accent
		theHTMLEntitiesArray["&#251;"] = "û"; // small u, circumflex accent 
		
		theHTMLEntitiesArray["&uuml;"] = "ü"; // small u, umlaut mark
		theHTMLEntitiesArray["&#252;"] = "ü"; // small u, umlaut mark 
		
		theHTMLEntitiesArray["&yacute;"] = "ý"; // small y, acute accent
		theHTMLEntitiesArray["&#253;"] = "ý"; // small y, acute accent 
		
		theHTMLEntitiesArray["&thorn;"] = "þ"; // small thorn, Icelandic
		theHTMLEntitiesArray["&#254;"] = "þ"; // small thorn, Icelandic 
		
		theHTMLEntitiesArray["&yuml;"] = "ÿ"; // small y, umlaut mark
		theHTMLEntitiesArray["&#255;"] = "ÿ"; // small y, umlaut mark 
		
		theHTMLEntitiesArray["&OElig;"] = "Œ"; // capital ligature OE
		theHTMLEntitiesArray["&#338;"] = "Œ"; // capital ligature OE 
		
		theHTMLEntitiesArray["&oelig;"] = "œ"; // small ligature oe
		theHTMLEntitiesArray["&#339;"] = "œ"; // small ligature oe 
		
		theHTMLEntitiesArray["&Scaron;"] = "Š"; // capital S with caron
		theHTMLEntitiesArray["&#352;"] = "Š"; // capital S with caron 
		
		theHTMLEntitiesArray["&scaron;"] = "š"; // small S with caron
		theHTMLEntitiesArray["&#353;"] = "š"; // small S with caron 
		
		theHTMLEntitiesArray["&Yuml;"] = "Ÿ"; // capital Y with diaeres
		theHTMLEntitiesArray["&#376;"] = "Ÿ"; // capital Y with diaeres 
		
		theHTMLEntitiesArray["&circ;"] = "ˆ"; // modifier letter circumflex accent
		theHTMLEntitiesArray["&#710;"] = "ˆ"; // modifier letter circumflex accent 
		
		theHTMLEntitiesArray["&tilde;"] = "˜"; // small tilde
		theHTMLEntitiesArray["&#732;"] = "˜"; // small tilde 
		theHTMLEntitiesArray["&ensp;"] = ""; // en space
		theHTMLEntitiesArray["&#8194;"] = ""; // en space 
		theHTMLEntitiesArray["&emsp;"] = ""; // em space
		theHTMLEntitiesArray["&#8195;"] = ""; // em space 
		theHTMLEntitiesArray["&thinsp;"] = ""; // thin space
		theHTMLEntitiesArray["&#8201;"] = ""; // thin space 
		
		theHTMLEntitiesArray["&zwnj;"] = "‌"; // zero width non-joiner
		theHTMLEntitiesArray["&#8204;"] = "‌"; // zero width non-joiner 
		
		theHTMLEntitiesArray["&zwj;"] = "‍"; // zero width joiner
		theHTMLEntitiesArray["&#8205;"] = "‍"; // zero width joiner 
	
		theHTMLEntitiesArray["&lrm;"] = "‎"; // left-to-right mark
		theHTMLEntitiesArray["&#8206;"] = "‎"; // left-to-right mark 
		
		theHTMLEntitiesArray["&rlm;"] = "‏"; // right-to-left mark
		theHTMLEntitiesArray["&#8207;"] = "‏"; // right-to-left mark 
		
		theHTMLEntitiesArray["&ndash;"] = "–"; // en dash
		theHTMLEntitiesArray["&#8211;"] = "–"; // en dash 
		
		theHTMLEntitiesArray["&mdash;"] = "—"; // em dash
		theHTMLEntitiesArray["&#8212;"] = "—"; // em dash 
		
		theHTMLEntitiesArray["&lsquo;"] = "‘"; // left single quotation mark
		theHTMLEntitiesArray["&#8216;"] = "‘"; // left single quotation mark 
		
		theHTMLEntitiesArray["&rsquo;"] = "'"; // right single quotation mark
		theHTMLEntitiesArray["&#8217;"] = "'"; // right single quotation mark 
		
		theHTMLEntitiesArray["&sbquo;"] = "‚"; // single low-9 quotation mark
		theHTMLEntitiesArray["&#8218;"] = "‚"; // single low-9 quotation mark 
		
		theHTMLEntitiesArray["&ldquo;"] = "“"; // left double quotation mark
		theHTMLEntitiesArray["&#8220;"] = "“"; // left double quotation mark 
		
		theHTMLEntitiesArray["&rdquo;"] = "”"; // right double quotation mark
		theHTMLEntitiesArray["&#8221;"] = "”"; // right double quotation mark 
		
		theHTMLEntitiesArray["&bdquo;"] = "„"; // double low-9 quotation mark
		theHTMLEntitiesArray["&#8222;"] = "„"; // double low-9 quotation mark 
		
		theHTMLEntitiesArray["&dagger;"] = "†"; // dagger
		theHTMLEntitiesArray["&#8224;"] = "†"; // dagger 
		
		theHTMLEntitiesArray["&Dagger;"] = "‡"; // double dagger
		theHTMLEntitiesArray["&#8225;"] = "‡"; // double dagger 
		
		theHTMLEntitiesArray["&permil;"] = "‰"; // per mille 
		theHTMLEntitiesArray["&#8240;"] = "‰"; // per mille  
		
		theHTMLEntitiesArray["&lsaquo;"] = "‹"; // single left-pointing angle quotation
		theHTMLEntitiesArray["&#8249;"] = "‹"; // single left-pointing angle quotation 
		
		theHTMLEntitiesArray["&rsaquo;"] = "›"; // single right-pointing angle quotation
		theHTMLEntitiesArray["&#8250;"] = "›"; // single right-pointing angle quotation 
		
		theHTMLEntitiesArray["&euro;"] = "€"; // euro
		theHTMLEntitiesArray["&#8364;"] = "€"; // euro 
		
		theHTMLEntitiesArray["&trade;"] = "™"; // trademark
		theHTMLEntitiesArray["&#8482;"] = "™"; // trademark
	}

	var		matchesArray;
	var		x
	
	matchesArray = theString.match(/&([a-zA-Z0-9#]+);/gi);
	if(matchesArray)
	{
		for (x = 0; x < matchesArray.length; x++)
		{
			if (!theHTMLEntitiesArray[matchesArray[x]])
			{
				print("unknown entity - '" + matchesArray[x] + "'");
			}
			else
			{
				//print("replacing entity '" + matchesArray[x] + "' with '" + theHTMLEntitiesArray[matchesArray[x]] + "'");
				theString = theString.replace(matchesArray[x], theHTMLEntitiesArray[matchesArray[x]]);
			}
		}
	}
	
	return theString;
}
